Name:           bomi
Version:        0.9.11
Release:        %mkrel 6
Summary:        Powerful and easy-to-use multimedia player
License:        GPLv2+
Group:          Sound/Players
Url:            https://bomi-player.github.io/
Source:         https://github.com/xylosper/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM bomi-compilation-fix.patch sor.alexei@meowr.ru -- Fix bomi compilation.
Patch0:         bomi-compilation-fix.patch
Patch1:         bomi-fix-expected-unqualified-id-before-numeric-constant-unix.patch
Patch2:         bomi-git-ffmpeg3.patch

BuildRequires:  gcc-c++
BuildRequires:  qttools5
BuildRequires:  bzip2-devel
# waf is written in Python 2.x.
BuildRequires:  python
BuildRequires:  pkgconfig(Qt5Core) >= 5.2
BuildRequires:  pkgconfig(Qt5DBus) >= 5.2
BuildRequires:  pkgconfig(Qt5Gui) >= 5.2
BuildRequires:  pkgconfig(Qt5Network) >= 5.2
BuildRequires:  pkgconfig(Qt5Quick) >= 5.2
BuildRequires:  pkgconfig(Qt5Sql) >= 5.2
BuildRequires:  pkgconfig(Qt5Svg) >= 5.2
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.2
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.2
BuildRequires:  pkgconfig(Qt5Xml) >= 5.2
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(chardet)
BuildRequires:  pkgconfig(dvdnav)
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(libass) >= 0.12.1
BuildRequires:  pkgconfig(libavcodec) >= 55.34.1
BuildRequires:  pkgconfig(libavfilter)
BuildRequires:  pkgconfig(libavformat) >= 55.12.0
BuildRequires:  pkgconfig(libavutil) >= 52.48.101
BuildRequires:  pkgconfig(libbluray)
BuildRequires:  pkgconfig(libcdio)
BuildRequires:  pkgconfig(libcdio_cdda)
BuildRequires:  pkgconfig(libcdio_paranoia)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libswresample)
BuildRequires:  pkgconfig(libswscale)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libva)
BuildRequires:  pkgconfig(libva-glx)
BuildRequires:  pkgconfig(libva-x11)
BuildRequires:  pkgconfig(smbclient)
BuildRequires:  pkgconfig(vdpau)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xcb-screensaver)
BuildRequires:  pkgconfig(xcb-xtest)

Requires:       qtquickcontrols5
# Streaming support for Dailymotion, YouTube, etc.
Recommends:     youtube-dl

%description
bomi is a themable Qt-based multimedia player based on the MPV
video backend which is aimed for easy usage but also provides
various powerful features and convenience functions.

%prep
%setup -q
%autopatch -p1

%build
./configure \
        --release \
        --prefix=%{_prefix} \
        --actiondir=%{_datadir}/solid/actions
%make

%install
%make_install DEST_DIR=%{buildroot}

%files
%doc CHANGES.txt COPYING.txt CREDITS.txt README.md
%license GPL.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man?/%{name}.*
%dir %{_datadir}/solid/
%dir %{_datadir}/solid/actions/
%{_datadir}/solid/actions/*
%{_datadir}/bash-completion/completions/%{name}


%changelog
* Tue May 02 2017 akien <akien> 0.9.11-6.mga6
+ Revision: 1098352
- Rebuild for ffmpeg 3.3

* Mon Apr 03 2017 akien <akien> 0.9.11-5.mga6
+ Revision: 1095725
- Rebuild for libbluray 1.0.0 (major 2)

* Thu Mar 09 2017 akien <akien> 0.9.11-4.mga6
+ Revision: 1090854
- Upstream patch to fix ffmpeg 3.0+ compatibility
- Rebuild for ffmpeg 3.2.4

* Wed Jan 11 2017 luigiwalser <luigiwalser> 0.9.11-3.mga6
+ Revision: 1081052
- rebuild for libass

* Sun Mar 27 2016 daviddavid <daviddavid> 0.9.11-2.mga6
+ Revision: 995725
- update compilation-fix patch to compile code with c++14
- add patch1 to fix build against Qt 5.6

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Nov 29 2015 daviddavid <daviddavid> 0.9.11-1.mga6
+ Revision: 906963
- imported package bomi (based on Opensuse)

